/*
 *  Copyright 2010 Mathieu ANCELIN.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */

package app.model;

import cx.ath.mancel01.restmvc.data.DataHelper;
import cx.ath.mancel01.restmvc.data.Model;
import javax.persistence.*;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Mathieu ANCELIN
 */
@Entity
@XmlRootElement
public class Task extends Model<Task> {

    @Transient
    public transient static DataHelper<Task, Long> helper = DataHelper.forType(Task.class, Long.class);

    @Id @GeneratedValue(strategy=GenerationType.AUTO)
    private Long id;
    private String title;
    private Boolean done;

    public Task() {
    }

    public Task(String title) {
        this.title = title;
    }

    public Boolean getDone() {
        return done;
    }

    public void setDone(Boolean done) {
        this.done = done;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
}
